aboutsummaryrefslogtreecommitdiff
path: root/boot/Config.in
Commit message (Collapse)AuthorAgeFilesLines
* boot-wrapper-aarch64: new packageGravatar Thomas Petazzoni2012-11-021-0/+1
| | | | | | | | | | The boot wrapper contains both a minimal bootloader and a tool to generate an image suitable for execution by the AArch64 software simulator. The image generated embeds the minimal bootloader, the kernel image, the Device Tree Blob and the kernel command line. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* at91bootstrap3: new packageGravatar Simon Dawson2012-08-171-0/+1
| | | | | | | | | | | | | | | | | | | | | | Note that this new package, at91bootstrap3, is being added alongside the existing at91bootstrap. This was suggested by Thomas Petazzoni, whose comments on the mailing list are quoted below. For this package, I am not sure we can do a simple version bump. Since there is (was?) no upstream for AT91Bootstrap 1.x, many vendors/companies had to maintain their patches on top of AT91Bootstrap 1.x. See for example board/calao/usb-a9263/at91bootstrap-1.16-usb-a9263.patch. Therefore, removing AT91Bootstrap 1.x from the tree will prevent those platforms to work. I know people should upgrade, but AT91Bootstrap 3.x is quite significantly different, so the porting effort is not that simple. Therefore, I'm wondering whether we should kee at91bootstrap as it is, and create a separate package at91bootstrap3 for the 3.x generation. Signed-off-by: Simon Dawson <spdawson@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Add MXS bootlets packageGravatar Maxime Ripard2012-07-211-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | MXS platforms (imx23 and imx28) are relying on bootlets as their first stage bootloaders, that can then either start a regular second stage bootloader or directly a Linux kernel. However, the Makefile allows only to build u-boot and linux images at the same time, which is not very convenient as we will more likely use only one of them, so we need to duplicate a bit what is already done so that we are able to choose what we want to generate. thomas.petazzoni@free-electrons.com: * Remove incorrect dependency on BR2_PACKAGE_ELFTOSB * Each board configuration option is for one board, not multiple boards, so use singular. * The i.MX28 support is for i.MX28 EVK only, reflect that in the option prompt and the option name. * Use 'generic-package' instead of GENTARGETS Signed-off-by: Maxime Ripard <maxime.ripard@free-electrons.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* lpc32xx: Add CDL to the available bootloadersGravatar Alexandre Belloni2012-02-011-0/+1
| | | | | | | | This will build kickstart and s1l for the selected board and install them alongside u-boot. Signed-off-by: Alexandre Belloni <abelloni@adeneo-embedded.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* boot: Reorder entries alphabeticallyGravatar Alexandre Belloni2012-02-011-2/+2
| | | | | Signed-off-by: Alexandre Belloni <abelloni@adeneo-embedded.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Add x-loader bootloaderGravatar Philippe Reynes2011-07-111-0/+1
| | | | | | | | Signed-off-by: Philippe Reynes <tremyfr@yahoo.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> merge xloader Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* u-boot: rename to ubootGravatar Thomas Petazzoni2011-07-111-1/+1
| | | | | | | | | This will allow to match the currently Config.in option BR2_TARGET_UBOOT, in order to make it easy to integrate U-Boot into the package infrastructure. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* grub2: remove packageGravatar Thomas Petazzoni2011-07-101-1/+0
| | | | | | | | | | | | | | | | | | | | | Grub 2 has been marked BROKEN in June 2010, and nobody cared to fix it since then. At that time, it was marked broken because the build process needed a Ruby interpreter available on the host, and it's really a pain that building a bootloader needs such a thing. I've tried to upgrade the package to Grub2 1.99-rcX, and now it does not need a Ruby interpreter anymore, but instead requires a tool called "autogen", which itself needs the Guile Scheme interpreter. Since we haven't heard any complaints about Grub2 being marked broken, and since it's such a pain to package, let's get rid of it. Of course, anybody interested in Grub2 is invited to contribute a working package. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Add support for the Barebox bootloaderGravatar Thomas Petazzoni2010-06-121-0/+1
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* yaboot: drop supportGravatar Thomas Petazzoni2010-06-101-1/+0
| | | | | | | Yaboot does not build, hasn't been updated since a long time, and isn't very common these days on embedded PowerPC platforms. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* bootloaders: move bootloader build code to boot/Gravatar Thomas Petazzoni2010-06-101-0/+12
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>